%define name compiz-fusion-plugins-unsupported
%define version 0.8.0
%define rel 1
%define git 20090208

%if %{git}
%define srcname plugins-unsupported-%{git}.tar.lzma
%define distname plugins-unsupported
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif


Summary: Compiz Fusion Unsupported Plugin Set for compiz
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://releases.compiz-fusion.org/%{version}/%{srcname}
License: GPL
Group: System/X11
URL: http://www.compiz-fusion.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-devel
BuildRequires: compiz-devel
BuildRequires: compiz-fusion-plugins-main-devel
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: compiz-bcop
BuildRequires: libGConf2-devel
BuildRequires: MesaGLU-devel
Requires: compiz

%description
This is the unsupported plugin set from the Compiz Fusion community.
This is a combination of the Compiz Extras and Beryl communities.

%prep
%setup -q -n %{distname}

%build
%if %{git}
  # This is a git snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name *.la -exec rm -f {} \;
%find_lang %{name}
# 3d is in -extras....
rm -f %{buildroot}%{_libdir}/compiz/lib3d.*
%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_includedir}/compiz/compiz-elements.h
%{_libdir}/compiz/lib*.a
%{_libdir}/compiz/lib*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/*.png


%changelog
* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338593
- Build now requires compiz-fusion-plugins-main-devel too
- 0.8 pre-release snapshot

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.8-1mdv2009.1
+ Revision: 319143
- 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284303
- New snapshot

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234355
- New snapshot
- New version: 0.7.6

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210168
- Update to git snapshot

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192374
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181125
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172306
- Update to git master for new compiz

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100809
- import compiz-fusion-plugins-unsupported


